BeagleWksTextInternal::State Struct Reference

Internal: the state of a BeagleWksText. More...

## Public Member Functions

| State ()
| constructor

## Public Attributes

MWAWEntry | m_textEntry
| the main text entry
std::vector< Section > | m_sectionList
| the section list
std::vector< int > | m_numPagesBySectionList
| the number of page by section
int | m_version
| the file version
int | m_numPages
int | m_actualPage

## Detailed Description

Internal: the state of a BeagleWksText.

## Constructor & Destructor Documentation

## State()

BeagleWksTextInternal::State::State | ( |  | ) |

inline

constructor

## Member Data Documentation

## m_actualPage

int BeagleWksTextInternal::State::m_actualPage

Referenced by State().

## m_numPages

int BeagleWksTextInternal::State::m_numPages

Referenced by State().

## m_numPagesBySectionList

std::vector<int> BeagleWksTextInternal::State::m_numPagesBySectionList

the number of page by section

Referenced by State().

## m_sectionList

std::vector<Section> BeagleWksTextInternal::State::m_sectionList

the section list

Referenced by State().

## m_textEntry

MWAWEntry BeagleWksTextInternal::State::m_textEntry

the main text entry

Referenced by State().

## m_version

int BeagleWksTextInternal::State::m_version

mutable

the file version

Referenced by State().

The documentation for this struct was generated from the following file:

- BeagleWksText.cxx